<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:context="http://www.springframework.org/schema/context"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

<bean id="daoA" class="fr.dawan.formation.springcore.beans.ArticleDao" scope="prototype">
    <property name="data" value="daoArticle"/>
    <property name="url" value="localhost://"/>
</bean>


<!-- <bean id="daoB" class="fr.dawan.formation.springcore.beans.ArticleDao" lazy-init="true"> -->
<!--     <constructor-arg index="1" value="localhost://" /> -->
<!--     <constructor-arg  index="0" value="daoB" /> -->
<!--      <constructor-arg name="url" value="localhost://" /> -->
<!--      <constructor-arg  name="data" value="daoB" /> -->
<!-- </bean> -->


<!-- <bean id="serviceA" class="fr.dawan.formation.springcore.beans.ArticleService"> -->
<!--     <property name="dao" ref="daoA" > -->
<!--      <ref bean="daoA"/> --> 
<!--     </property> -->
    
<!-- </bean> -->
<bean id="serviceA" class="fr.dawan.formation.springcore.beans.ArticleService" autowire="constructor">

</bean>
</beans>